/*------------------------------------------------------------------------------
 src/plugin/djImageIoExr/widget.h
 
 Copyright (c) 2004-2006 Darby Johnston.
 All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJ_IMAGE_IO_EXR_WIDGET_H
#define DJ_IMAGE_IO_EXR_WIDGET_H
#include "io.h"
#include <djEnumWidget.h>
#include <djImageIoWidget.h>

namespace djImageIoExr {

// Image save widget.
//
class SaveWidget : public ImageSaveWidget {
public:

  SaveWidget();
  
  const Str name() const { return djImageIoExr::name(); }
  Plugin * copy() const { return new SaveWidget; }
  
  void set(ImageSave *);
  void widgetUpdate();
  
private:

  DJ_CALLBACK(SaveWidget, compressCallback, Save::COMPRESS)
  DJ_CALLBACK(SaveWidget, bitDepthCallback, Save::BIT_DEPTH)

  EnumWidget<Save::COMPRESS> * _compressWidget;
  EnumWidget<Save::BIT_DEPTH> * _bitDepthWidget;
  bool _callbacks;
};

}

#endif
